{% layout "page.html" %}

{% block page_content %}
<div class="content-container col-span-3 mx-auto max-w-full prose prose-img:inline prose-img:my-1 prose-slate prose-h2:pt-24 prose-h2:-mt-16 prose-p:text-lg prose-a:no-underline prose-a:text-sky-400 prose-a:font-semibold hover:prose-a:underline prose-p:text-white prose-headings:text-yellow-400 prose-code:text-white mb-8">
    {{ content }}
</div>
<div class="relative overflow-x-auto flex -mx-8 text-white">
  <div class="flex-none min-w-full px-8 overflow-hidden">
    <table class="w-full">
      <thead>
        <tr>
          <th class="text-left border-b-2 border-slate-600 text-slate-300 py-3">Badge image</th>
          <th class="text-left border-b-2 border-slate-600 text-slate-300 py-3">ID</th>
          <th class="text-left border-b-2 border-slate-600 text-slate-300 py-3">Description</th>
        </tr>
      </thead>
      <tbody>
      {% for badge in badgeListing.badges %}
        <tr>
          <td class="min-w-max{% if not forloop.last %} border-b border-slate-700{% endif %} py-4 text-white"><img class="py-1 pe-4" src="{{ badge.example }}" /></td>
          <td class="min-w-max{% if not forloop.last %} border-b border-slate-700{% endif %} py-4 text-white"><h2 class="py-1 pe-4 font-semibold">{{ badge.name }}</h2></td>
          <td class="min-w-max{% if not forloop.last %} border-b border-slate-700{% endif %} py-4 text-white"><p class="py-1">{{ badge.description | markdown }}</p></td>
        </tr>
      {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock page_content %}
